import { default as React } from 'react';
import { LanguageModelV1 } from 'ai';
type AppContextType = {
    model: LanguageModelV1;
};
export declare function AppProvider({ children, model, }: {
    children: React.ReactNode;
    model: LanguageModelV1;
}): React.JSX.Element;
export declare function useAppContext(): AppContextType;
export {};
